Package org.apache.sysds.runtime.ooc.stats

# Enum Class OOCEventLog.EventType

java.lang.Object
java.lang.Enum<OOCEventLog.EventType>
org.apache.sysds.runtime.ooc.stats.OOCEventLog.EventType

All Implemented Interfaces:
  `Serializable`, `Comparable<OOCEventLog.EventType>`, `Constable`

Enclosing class:
  OOCEventLog

public static enum OOCEventLog.EventType extends Enum<OOCEventLog.EventType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CACHESIZE_CHANGE`
`CACHESIZE_CHANGE_CONT`
`COMPUTE`
`DISK_READ`
`DISK_WRITE`

## Method Summary

Modifier and Type
Method
Description
`static OOCEventLog.EventType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OOCEventLog.EventType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMPUTE

public static final OOCEventLog.EventType COMPUTE

### DISK_WRITE

public static final OOCEventLog.EventType DISK_WRITE

### DISK_READ

public static final OOCEventLog.EventType DISK_READ

### CACHESIZE_CHANGE

public static final OOCEventLog.EventType CACHESIZE_CHANGE

### CACHESIZE_CHANGE_CONT

public static final OOCEventLog.EventType CACHESIZE_CHANGE_CONT

## Method Details

### values

public static OOCEventLog.EventType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OOCEventLog.EventType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null